
sec_name = "D Block Elements"

electronegativity = {
    "Scandium (Sc)": 1.36,
    "Titanium (Ti)": 1.54,
    "Vanadium (V)": 1.63,
    "Chromium (Cr)": 1.66,
    "Manganese (Mn)": 1.55,
    "Iron (Fe)": 1.83,
    "Cobalt (Co)": 1.88,
    "Nickel (Ni)": 1.91,
    "Copper (Cu)": 1.90,
    "Zinc (Zn)": 1.65,
    "Yttrium (Y)": 1.22,
    "Zirconium (Zr)": 1.33,
    "Niobium (Nb)": 1.6,
    "Molybdenum (Mo)": 2.16,
    "Technetium (Tc)": 1.9,
    "Ruthenium (Ru)": 2.2,
    "Rhodium (Rh)": 2.28,
    "Palladium (Pd)": 2.20,
    "Silver (Ag)": 1.93,
    "Cadmium (Cd)": 1.69,
    "Hafnium (Hf)": 1.3,
    "Tantalum (Ta)": 1.5,
    "Tungsten (W)": 2.36,
    "Rhenium (Re)": 1.9,
    "Osmium (Os)": 2.2,
    "Iridium (Ir)": 2.20,
    "Platinum (Pt)": 2.28,
    "Gold (Au)": 2.54,
    "Mercury (Hg)": 2.00,
    "Rutherfordium (Rf)": 1.3,  # Estimated
    "Dubnium (Db)": 1.3,  # Estimated
    "Seaborgium (Sg)": 1.3,  # Estimated
    "Bohrium (Bh)": 1.3,  # Estimated
    "Hassium (Hs)": 1.3,  # Estimated
    "Meitnerium (Mt)": 1.3,  # Estimated
    "Darmstadtium (Ds)": 1.3,  # Estimated
    "Roentgenium (Rg)": 1.3,  # Estimated
    "Copernicium (Cn)": 1.3  # Estimated
}

# atomic radii in Angstroms
atomic_radii = {
    "Scandium (Sc)": 1.62,
    "Titanium (Ti)": 1.45,
    "Vanadium (V)": 1.35,
    "Chromium (Cr)": 1.28,
    "Manganese (Mn)": 1.27,
    "Iron (Fe)": 1.26,
    "Cobalt (Co)": 1.25,
    "Nickel (Ni)": 1.24,
    "Copper (Cu)": 1.28,
    "Zinc (Zn)": 1.39,
    "Yttrium (Y)": 1.8,
    "Zirconium (Zr)": 1.55,
    "Niobium (Nb)": 1.45,
    "Molybdenum (Mo)": 1.39,
    "Technetium (Tc)": 1.36,
    "Ruthenium (Ru)": 1.34,
    "Rhodium (Rh)": 1.34,
    "Palladium (Pd)": 1.37,
    "Silver (Ag)": 1.44,
    "Cadmium (Cd)": 1.54,
    "Hafnium (Hf)": 1.44,
    "Tantalum (Ta)": 1.34,
    "Tungsten (W)": 1.30,
    "Rhenium (Re)": 1.28,
    "Osmium (Os)": 1.26,
    "Iridium (Ir)": 1.27,
    "Platinum (Pt)": 1.30,
    "Gold (Au)": 1.34,
    "Mercury (Hg)": 1.49,
    "Rutherfordium (Rf)": 1.50,  # Estimated
    "Dubnium (Db)": 1.50,  # Estimated
    "Seaborgium (Sg)": 1.50,  # Estimated
    "Bohrium (Bh)": 1.50,  # Estimated
    "Hassium (Hs)": 1.50,  # Estimated
    "Meitnerium (Mt)": 1.50,  # Estimated
    "Darmstadtium (Ds)": 1.50,  # Estimated
    "Roentgenium (Rg)": 1.50,  # Estimated
    "Copernicium (Cn)": 1.50  # Estimated
}

# density in g/cm^3
density = {
    "Scandium (Sc)": 2.99,
    "Titanium (Ti)": 4.54,
    "Vanadium (V)": 6.11,
    "Chromium (Cr)": 7.19,
    "Manganese (Mn)": 7.21,
    "Iron (Fe)": 7.87,
    "Cobalt (Co)": 8.90,
    "Nickel (Ni)": 8.90,
    "Copper (Cu)": 8.96,
    "Zinc (Zn)": 7.14,
    "Yttrium (Y)": 4.47,
    "Zirconium (Zr)": 6.52,
    "Niobium (Nb)": 8.57,
    "Molybdenum (Mo)": 10.22,
    "Technetium (Tc)": 11.5,
    "Ruthenium (Ru)": 12.1,
    "Rhodium (Rh)": 12.4,
    "Palladium (Pd)": 12.02,
    "Silver (Ag)": 10.49,
    "Cadmium (Cd)": 8.65,
    "Hafnium (Hf)": 13.31,
    "Tantalum (Ta)": 16.65,
    "Tungsten (W)": 19.25,
    "Rhenium (Re)": 21.02,
    "Osmium (Os)": 22.59,
    "Iridium (Ir)": 22.56,
    "Platinum (Pt)": 21.45,
    "Gold (Au)": 19.32,
    "Mercury (Hg)": 13.53,
    "Rutherfordium (Rf)": 23.2,  # Estimated
    "Dubnium (Db)": 29.3,  # Estimated
    "Seaborgium (Sg)": 35.0,  # Estimated
    "Bohrium (Bh)": 37.1,  # Estimated
    "Hassium (Hs)": 41.0,  # Estimated
    "Meitnerium (Mt)": 37.4,  # Estimated
    "Darmstadtium (Ds)": 34.8,  # Estimated
    "Roentgenium (Rg)": 28.7,  # Estimated
    "Copernicium (Cn)": 23.7  # Estimated
}

# in Kelvin
melting_point = {
    "Scandium (Sc)": 1814,
    "Titanium (Ti)": 1941,
    "Vanadium (V)": 2183,
    "Chromium (Cr)": 2180,
    "Manganese (Mn)": 1519,
    "Iron (Fe)": 1811,
    "Cobalt (Co)": 1768,
    "Nickel (Ni)": 1728,
    "Copper (Cu)": 1357,
    "Zinc (Zn)": 692,
    "Yttrium (Y)": 1799,
    "Zirconium (Zr)": 2128,
    "Niobium (Nb)": 2750,
    "Molybdenum (Mo)": 2896,
    "Technetium (Tc)": 2430,
    "Ruthenium (Ru)": 2607,
    "Rhodium (Rh)": 2237,
    "Palladium (Pd)": 1828,
    "Silver (Ag)": 1235,
    "Cadmium (Cd)": 594,
    "Hafnium (Hf)": 2506,
    "Tantalum (Ta)": 3290,
    "Tungsten (W)": 3695,
    "Rhenium (Re)": 3459,
    "Osmium (Os)": 3306,
    "Iridium (Ir)": 2739,
    "Platinum (Pt)": 2041,
    "Gold (Au)": 1337,
    "Mercury (Hg)": 234,
    "Rutherfordium (Rf)": 2400,  # Estimated
    "Dubnium (Db)": 2400,  # Estimated
    "Seaborgium (Sg)": 2400,  # Estimated
    "Bohrium (Bh)": 2400,  # Estimated
    "Hassium (Hs)": 2400,  # Estimated
    "Meitnerium (Mt)": 2400,  # Estimated
    "Darmstadtium (Ds)": 2400,  # Estimated
    "Roentgenium (Rg)": 2400,  # Estimated
    "Copernicium (Cn)": 2400  # Estimated
}

# in K
boiling_point = {
    "Scandium (Sc)": 3109,
    "Titanium (Ti)": 3560,
    "Vanadium (V)": 3680,
    "Chromium (Cr)": 2944,
    "Manganese (Mn)": 2334,
    "Iron (Fe)": 3134,
    "Cobalt (Co)": 3200,
    "Nickel (Ni)": 3003,
    "Copper (Cu)": 2835,
    "Zinc (Zn)": 1180,
    "Yttrium (Y)": 3203,
    "Zirconium (Zr)": 4650,
    "Niobium (Nb)": 5017,
    "Molybdenum (Mo)": 4912,
    "Technetium (Tc)": 4538,
    "Ruthenium (Ru)": 4423,
    "Rhodium (Rh)": 3968,
    "Palladium (Pd)": 3236,
    "Silver (Ag)": 2435,
    "Cadmium (Cd)": 1040,
    "Hafnium (Hf)": 4876,
    "Tantalum (Ta)": 5731,
    "Tungsten (W)": 5828,
    "Rhenium (Re)": 5869,
    "Osmium (Os)": 5285,
    "Iridium (Ir)": 4701,
    "Platinum (Pt)": 4098,
    "Gold (Au)": 3129,
    "Mercury (Hg)": 630,
    "Rutherfordium (Rf)": 5800,  # Estimated
    "Dubnium (Db)": 5800,  # Estimated
    "Seaborgium (Sg)": 5800,  # Estimated
    "Bohrium (Bh)": 5800,  # Estimated
    "Hassium (Hs)": 5800,  # Estimated
    "Meitnerium (Mt)": 5800,  # Estimated
    "Darmstadtium (Ds)": 5800,  # Estimated
    "Roentgenium (Rg)": 5800,  # Estimated
    "Copernicium (Cn)": 5800  # Estimated
}
