
sec_name = "F Block Elements"

electronegativity = {
    "Lanthanum (La)": 1.1,
    "Cerium (Ce)": 1.12,
    "Praseodymium (Pr)": 1.13,
    "Neodymium (Nd)": 1.14,
    "Promethium (Pm)": 1.13,
    "Samarium (Sm)": 1.17,
    "Europium (Eu)": 1.2,
    "Gadolinium (Gd)": 1.2,
    "Terbium (Tb)": 1.2,
    "Dysprosium (Dy)": 1.22,
    "Holmium (Ho)": 1.23,
    "Erbium (Er)": 1.24,
    "Thulium (Tm)": 1.25,
    "Ytterbium (Yb)": 1.1,
    "Lutetium (Lu)": 1.27,
    "Actinium (Ac)": 1.1,
    "Thorium (Th)": 1.3,
    "Protactinium (Pa)": 1.5,
    "Uranium (U)": 1.38,
    "Neptunium (Np)": 1.36,
    "Plutonium (Pu)": 1.28,
    "Americium (Am)": 1.3,
    "Curium (Cm)": 1.3,
    "Berkelium (Bk)": 1.3,
    "Californium (Cf)": 1.3,
    "Einsteinium (Es)": 1.3,
    "Fermium (Fm)": 1.3,
    "Mendelevium (Md)": 1.3,
    "Nobelium (No)": 1.3,
    "Lawrencium (Lr)": 1.3
}

# atomic radii in Angstroms
atomic_radii = {
    "Lanthanum (La)": 1.87,
    "Cerium (Ce)": 1.82,
    "Praseodymium (Pr)": 1.83,
    "Neodymium (Nd)": 1.82,
    "Promethium (Pm)": 1.83,
    "Samarium (Sm)": 1.81,
    "Europium (Eu)": 1.99,
    "Gadolinium (Gd)": 1.79,
    "Terbium (Tb)": 1.76,
    "Dysprosium (Dy)": 1.75,
    "Holmium (Ho)": 1.74,
    "Erbium (Er)": 1.73,
    "Thulium (Tm)": 1.72,
    "Ytterbium (Yb)": 1.94,
    "Lutetium (Lu)": 1.72,
    "Actinium (Ac)": 1.88,
    "Thorium (Th)": 1.79,
    "Protactinium (Pa)": 1.61,
    "Uranium (U)": 1.42,
    "Neptunium (Np)": 1.27,
    "Plutonium (Pu)": 1.28,
    "Americium (Am)": 1.73,
    "Curium (Cm)": 1.74,
    "Berkelium (Bk)": 1.70,
    "Californium (Cf)": 1.70,
    "Einsteinium (Es)": 1.70,
    "Fermium (Fm)": 1.70,
    "Mendelevium (Md)": 1.70,
    "Nobelium (No)": 1.70,
    "Lawrencium (Lr)": 1.70
}

# density in g/cm^3
density = {
    "Lanthanum (La)": 6.15,
    "Cerium (Ce)": 6.77,
    "Praseodymium (Pr)": 6.77,
    "Neodymium (Nd)": 7.01,
    "Promethium (Pm)": 7.26,
    "Samarium (Sm)": 7.52,
    "Europium (Eu)": 5.24,
    "Gadolinium (Gd)": 7.90,
    "Terbium (Tb)": 8.23,
    "Dysprosium (Dy)": 8.55,
    "Holmium (Ho)": 8.80,
    "Erbium (Er)": 9.07,
    "Thulium (Tm)": 9.32,
    "Ytterbium (Yb)": 6.90,
    "Lutetium (Lu)": 9.84,
    "Actinium (Ac)": 10.07,
    "Thorium (Th)": 11.72,
    "Protactinium (Pa)": 15.37,
    "Uranium (U)": 18.95,
    "Neptunium (Np)": 20.45,
    "Plutonium (Pu)": 19.84,
    "Americium (Am)": 13.67,
    "Curium (Cm)": 13.51,
    "Berkelium (Bk)": 14.79,
    "Californium (Cf)": 15.10,
    "Einsteinium (Es)": 8.84,  # Estimated value
    "Fermium (Fm)": 9.7,  # Estimated value
    "Mendelevium (Md)": 10.3,  # Estimated value
    "Nobelium (No)": 9.9,  # Estimated value
    "Lawrencium (Lr)": 15.6  # Estimated value
}

# in Kelvin
melting_point = {
    "Lanthanum (La)": 1193,
    "Cerium (Ce)": 1068,
    "Praseodymium (Pr)": 1208,
    "Neodymium (Nd)": 1297,
    "Promethium (Pm)": 1315,
    "Samarium (Sm)": 1345,
    "Europium (Eu)": 1099,
    "Gadolinium (Gd)": 1585,
    "Terbium (Tb)": 1629,
    "Dysprosium (Dy)": 1680,
    "Holmium (Ho)": 1734,
    "Erbium (Er)": 1802,
    "Thulium (Tm)": 1818,
    "Ytterbium (Yb)": 1097,
    "Lutetium (Lu)": 1925,
    "Actinium (Ac)": 1323,
    "Thorium (Th)": 2115,
    "Protactinium (Pa)": 1841,
    "Uranium (U)": 1405,
    "Neptunium (Np)": 917,
    "Plutonium (Pu)": 913,
    "Americium (Am)": 1449,
    "Curium (Cm)": 1618,
    "Berkelium (Bk)": 1259,
    "Californium (Cf)": 1173,
    "Einsteinium (Es)": 1133,  # Estimated value
    "Fermium (Fm)": 1800,  # Estimated value
    "Mendelevium (Md)": 1100,  # Estimated value
    "Nobelium (No)": 1100,  # Estimated value
    "Lawrencium (Lr)": 1900  # Estimated value
}

# in K
boiling_point = {
    "Lanthanum (La)": 3737,
    "Cerium (Ce)": 3716,
    "Praseodymium (Pr)": 3793,
    "Neodymium (Nd)": 3347,
    "Promethium (Pm)": 3273,
    "Samarium (Sm)": 2067,
    "Europium (Eu)": 1800,
    "Gadolinium (Gd)": 3546,
    "Terbium (Tb)": 3503,
    "Dysprosium (Dy)": 2840,
    "Holmium (Ho)": 2993,
    "Erbium (Er)": 3141,
    "Thulium (Tm)": 2223,
    "Ytterbium (Yb)": 1469,
    "Lutetium (Lu)": 3675,
    "Actinium (Ac)": 3471,
    "Thorium (Th)": 5061,
    "Protactinium (Pa)": 4300,
    "Uranium (U)": 4404,
    "Neptunium (Np)": 4175,
    "Plutonium (Pu)": 3505,
    "Americium (Am)": 2880,
    "Curium (Cm)": 3383,
    "Berkelium (Bk)": 2900,
    "Californium (Cf)": 1743,
    "Einsteinium (Es)": 1269,  # Estimated value
    "Fermium (Fm)": 1800,  # Estimated value
    "Mendelevium (Md)": 1100,  # Estimated value
    "Nobelium (No)": 1100,  # Estimated value
    "Lawrencium (Lr)": 1900  # Estimated value
}