
sec_name = "P Block Elements"

electronegativity = {
    "Boron (B)": 2.04,
    "Carbon (C)": 2.55,
    "Nitrogen (N)": 3.04,
    "Oxygen (O)": 3.44,
    "Fluorine (F)": 3.98,
    "Neon (Ne)": None,
    "Aluminum (Al)": 1.61,
    "Silicon (Si)": 1.90,
    "Phosphorus (P)": 2.19,
    "Sulfur (S)": 2.58,
    "Chlorine (Cl)": 3.16,
    "Argon (Ar)": None,
    "Gallium (Ga)": 1.81,
    "Germanium (Ge)": 2.01,
    "Arsenic (As)": 2.18,
    "Selenium (Se)": 2.55,
    "Bromine (Br)": 2.96,
    "Krypton (Kr)": 3.00,
    "Indium (In)": 1.78,
    "Tin (Sn)": 1.96,
    "Antimony (Sb)": 2.05,
    "Tellurium (Te)": 2.10,
    "Iodine (I)": 2.66,
    "Xenon (Xe)": 2.60,
    "Thallium (Tl)": 1.62,
    "Lead (Pb)": 2.33,
    "Bismuth (Bi)": 2.02,
    "Polonium (Po)": 2.00,
    "Astatine (At)": 2.20,
    "Radon (Rn)": None
}

# atomic radii in Angstroms
atomic_radii = {
    "Boron (B)": 0.85,
    "Carbon (C)": 0.70,
    "Nitrogen (N)": 0.65,
    "Oxygen (O)": 0.60,
    "Fluorine (F)": 0.50,
    "Neon (Ne)": 0.38,
    "Aluminum (Al)": 1.18,
    "Silicon (Si)": 1.11,
    "Phosphorus (P)": 1.06,
    "Sulfur (S)": 1.02,
    "Chlorine (Cl)": 0.99,
    "Argon (Ar)": 0.71,
    "Gallium (Ga)": 1.26,
    "Germanium (Ge)": 1.22,
    "Arsenic (As)": 1.19,
    "Selenium (Se)": 1.16,
    "Bromine (Br)": 1.14,
    "Krypton (Kr)": 1.10,
    "Indium (In)": 1.56,
    "Tin (Sn)": 1.45,
    "Antimony (Sb)": 1.33,
    "Tellurium (Te)": 1.23,
    "Iodine (I)": 1.15,
    "Xenon (Xe)": 1.08,
    "Thallium (Tl)": 1.96,
    "Lead (Pb)": 1.81,
    "Bismuth (Bi)": 1.63,
    "Polonium (Po)": 1.53,
    "Astatine (At)": 1.43,
    "Radon (Rn)": 1.34
}

# density in g/cm^3
density = {
    "Boron (B)": 2.34,
    "Carbon (C)": 2.267,
    "Nitrogen (N)": 0.0012506,
    "Oxygen (O)": 0.001429,
    "Fluorine (F)": 0.001696,
    "Neon (Ne)": 0.0009002,
    "Aluminum (Al)": 2.70,
    "Silicon (Si)": 2.33,
    "Phosphorus (P)": 1.82,
    "Sulfur (S)": 2.07,
    "Chlorine (Cl)": 0.003214,
    "Argon (Ar)": 0.001784,
    "Gallium (Ga)": 5.91,
    "Germanium (Ge)": 5.323,
    "Arsenic (As)": 5.776,
    "Selenium (Se)": 4.809,
    "Bromine (Br)": 3.1028,
    "Krypton (Kr)": 0.003733,
    "Indium (In)": 7.31,
    "Tin (Sn)": 7.287,
    "Antimony (Sb)": 6.685,
    "Tellurium (Te)": 6.24,
    "Iodine (I)": 4.933,
    "Xenon (Xe)": 0.005887,
    "Thallium (Tl)": 11.85,
    "Lead (Pb)": 11.34,
    "Bismuth (Bi)": 9.78,
    "Polonium (Po)": 9.32,
    "Astatine (At)": 7.0,
    "Radon (Rn)": 0.00973
}

# in Kelvin
melting_point = {
    "Boron (B)": 2349,
    "Carbon (C)": 3823,
    "Nitrogen (N)": 63.15,
    "Oxygen (O)": 54.36,
    "Fluorine (F)": 53.53,
    "Neon (Ne)": 24.56,
    "Aluminum (Al)": 933.47,
    "Silicon (Si)": 1687,
    "Phosphorus (P)": 317.30,
    "Sulfur (S)": 388.36,
    "Chlorine (Cl)": 171.6,
    "Argon (Ar)": 83.80,
    "Gallium (Ga)": 302.91,
    "Germanium (Ge)": 1211.4,
    "Arsenic (As)": 1090,
    "Selenium (Se)": 494,
    "Bromine (Br)": 265.8,
    "Krypton (Kr)": 115.79,
    "Indium (In)": 429.75,
    "Tin (Sn)": 505.08,
    "Antimony (Sb)": 903.78,
    "Tellurium (Te)": 722.66,
    "Iodine (I)": 386.85,
    "Xenon (Xe)": 161.4,
    "Thallium (Tl)": 577,
    "Lead (Pb)": 600.61,
    "Bismuth (Bi)": 544.7,
    "Polonium (Po)": 527,
    "Astatine (At)": 575,
    "Radon (Rn)": 202
}

# in K
boiling_point = {
    "Boron (B)": 4200,
    "Carbon (C)": 5100,
    "Nitrogen (N)": 77.36,
    "Oxygen (O)": 90.20,
    "Fluorine (F)": 85.03,
    "Neon (Ne)": 27.07,
    "Aluminum (Al)": 2792,
    "Silicon (Si)": 3538,
    "Phosphorus (P)": 553.7,
    "Sulfur (S)": 717.8,
    "Chlorine (Cl)": 239.11,
    "Argon (Ar)": 87.3,
    "Gallium (Ga)": 2477,
    "Germanium (Ge)": 3106,
    "Arsenic (As)": 876,
    "Selenium (Se)": 958,
    "Bromine (Br)": 332.0,
    "Krypton (Kr)": 119.93,
    "Indium (In)": 2345,
    "Tin (Sn)": 2875,
    "Antimony (Sb)": 1860,
    "Tellurium (Te)": 1261,
    "Iodine (I)": 457.4,
    "Xenon (Xe)": 165.1,
    "Thallium (Tl)": 1746,
    "Lead (Pb)": 2022,
    "Bismuth (Bi)": 1837,
    "Polonium (Po)": 1235,
    "Astatine (At)": 610,  # Estimated value
    "Radon (Rn)": 211.45
}
