
sec_name = "Actinides"

electronegativity = {
    "Actinium (Ac)": 1.1,
    "Thorium (Th)": 1.3,
    "Protactinium (Pa)": 1.5,
    "Uranium (U)": 1.38,
    "Neptunium (Np)": 1.36,
    "Plutonium (Pu)": 1.28,
    "Americium (Am)": 1.3,
    "Curium (Cm)": 1.3,
    "Berkelium (Bk)": 1.3,
    "Californium (Cf)": 1.3,
    "Einsteinium (Es)": 1.3,
    "Fermium (Fm)": 1.3,
    "Mendelevium (Md)": 1.3,
    "Nobelium (No)": 1.3,
    "Lawrencium (Lr)": 1.3
}

# atomic radii in Angstroms
atomic_radii = {
    "Ac": 2.43,
    "Th": 2.45,
    "Pa": 2.43,
    "U": 2.41,
    "Np": 2.39,
    "Pu": 2.43,
    "Am": 2.44,
    "Cm": 2.45,
    "Bk": 2.44,
    "Cf": 2.45,
    "Es": 2.45,
    "Fm": 2.45,
    "Md": 2.46,
    "No": 2.46,
    "Lr": 2.46
}

# density in g/cm^3
density = {
    "Ac": 10,
    "Th": 11.7,
    "Pa": 15.4,
    "U": 19.1,
    "Np": 20.2,
    "Pu": 19.7,
    "Am": 12,
    "Cm": 13.51,
    "Bk": 14.78,
    "Cf": 15.1,
    "Es": None,
    "Fm": None,
    "Md": None,  # Density data not available for these elements
    "No": None,
    "Lr": None
}

# in Kelvin
melting_point = {
    "Ac": 1323,
    "Th": 2023,
    "Pa": 1845,
    "U": 1408,
    "Np": 917,
    "Pu": 913,
    "Am": 1449,
    "Cm": 1618,
    "Bk": 1259,
    "Cf": 1173,
    "Es": 1133,
    "Fm": 1800,
    "Md": 1100,
    "No": 1100,
    "Lr": 1900
}

# in K
boiling_point = {
    "Ac": 3473,
    "Th": 5058,
    "Pa": 4273,
    "U": 4404,
    "Np": 4175,
    "Pu": 3501,
    "Am": 2284,
}